libzypp 17.37.10

RepoException.cc File Reference
`#include <iostream>`
`#include <zypp/repo/RepoException.h>`
`#include <zypp/base/String.h>`
`#include <zypp/base/Gettext.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::repo

## Macros
#define | DEF_CTORS(CLASS, MSG)
#define | DEF_BASECLASS ServiceException
#define | DEF_BASECLASS ServicePluginException

## Functions
| zypp::repo::DEF_CTORS (RepoNotCachedException, "Repository is not cached")
| zypp::repo::DEF_CTORS (RepoNoUrlException, "Repository has no or invalid url defined.")
| zypp::repo::DEF_CTORS (RepoNoAliasException, "Repository has no alias defined.")
| zypp::repo::DEF_CTORS (RepoInvalidAliasException, "Repository has an invalid alias.")
| zypp::repo::DEF_CTORS (RepoNotFoundException, "Repository not found.")
| zypp::repo::DEF_CTORS (RepoAlreadyExistsException, "Repository already exists.")
| zypp::repo::DEF_CTORS (RepoUnknownTypeException, "Repository type can't be determined.")
| zypp::repo::DEF_CTORS (RepoMetadataException, "Repository metadata not usable.")
| zypp::repo::DEF_CTORS (RepoNoPermissionException, _("No permission to write repository cache."))
| zypp::repo::DEF_CTORS (ServiceNoAliasException, "Service has no alias defined.")
| zypp::repo::DEF_CTORS (ServiceInvalidAliasException, "Service has an invalid alias.")
| zypp::repo::DEF_CTORS (ServiceAlreadyExistsException, "Service already exists.")
| zypp::repo::DEF_CTORS (ServiceNoUrlException, "Service has no or invalid url defined.")
| zypp::repo::DEF_CTORS (ServicePluginException, "PLUGIN service exception.")
| zypp::repo::DEF_CTORS (ServicePluginInformalException, "Service plugin has trouble providing the metadata but this should not be treated as error.")
| zypp::repo::DEF_CTORS (ServicePluginImmutableException, _("Service plugin does not support changing an attribute."))

## Macro Definition Documentation

## ◆ DEF_CTORS [1/2]

#define DEF_CTORS | ( |  | CLASS,
|  |  | MSG )

Value:
CLASS::CLASS() : RepoException( MSG ) {} \
CLASS::CLASS( const std::string & msg_r ) : RepoException( msg_r ) {} \
CLASS::CLASS( const RepoInfo & service_r ) : RepoException( service_r, MSG ) {} \
CLASS::CLASS( const RepoInfo & service_r, const std::string & msg_r ) : RepoException( service_r, msg_r ) {}

Definition at line 59 of file RepoException.cc.

## ◆ DEF_CTORS [2/2]

#define DEF_CTORS | ( |  | CLASS,
|  |  | MSG )

Value:
CLASS::CLASS() : DEF_BASECLASS( MSG ) {} \
CLASS::CLASS( const std::string & msg_r ) : DEF_BASECLASS( msg_r ) {} \
CLASS::CLASS( const ServiceInfo & service_r ) : DEF_BASECLASS( service_r, MSG ) {} \
CLASS::CLASS( const ServiceInfo & service_r, const std::string & msg_r ) : DEF_BASECLASS( service_r, msg_r ) {}
DEF_BASECLASS
#define DEF_BASECLASS
Definition RepoException.cc:116

Definition at line 59 of file RepoException.cc.

## ◆ DEF_BASECLASS [1/2]

#define DEF_BASECLASS ServiceException

Definition at line 116 of file RepoException.cc.

## ◆ DEF_BASECLASS [2/2]

#define DEF_BASECLASS ServicePluginException

Definition at line 116 of file RepoException.cc.